Skip to Content
APITransactions and Transfers

Transactions and Transfers

Get a list of transactions

Get a list of transactions.

GET https://apilist.tronscanapi.com/api/transaction?sort=-timestamp&count=true&limit=20&start=0&start_timestamp=1529856000000&end_timestamp=1680503191391

Try this endpoint in your browser ↗ 🔗

ParameterDescription
startStart number. Default: 0. Max start + limit is 10000
limitNumber of items per page. Default: 10. Max: 50
start_timestampStart time
end_timestampEnd time
fromAddressSender’s address
toAddressRecipient’s address
tokensTokens involved
blockBlock
typeTransaction type
addressAccount address filter
directionTransfer direction: in (incoming), out (outgoing), all (both)
confirmFilter by confirmation status: 0 (confirmed only), 1 (unconfirmed only), 2 (reverted only), empty (all). Multiple values can be combined with a comma, e.g. 0,1

Get transaction detail information by transaction hash

Get transaction information.

GET https://apilist.tronscanapi.com/api/transaction-info?hash=3194a00c5cf427a931b908453588b2ca3f661dafa3860b76a6362d08b3b08583

Try this endpoint in your browser ↗ 🔗

ParameterDescription
hashTransaction hash

Get TRC20 & TRC721 transfers list

Get the transfer list of TRC20 and TRC721 tokens.

GET https://apilist.tronscanapi.com/api/token_trc20/transfers?limit=20&start=0&contract_address=TMwFHYXLJaRUPeW6421aqXL4ZEzPRFGkGT&start_timestamp=&end_timestamp=&confirm=&filterTokenValue=1

Try this endpoint in your browser ↗ 🔗

ParameterDescription
startStart number. Default: 0. Max start + limit is 10000
limitNumber of items per page. Default: 10. Max: 50
contract_addressContract address
start_timestampStart time
end_timestampEnd time
confirmFilter by confirmation status: 0 (confirmed only), 1 (unconfirmed only), empty (all)
relatedAddressAccount address
fromAddressSender’s address
toAddressRecipient’s address
filterTokenValueFilter by token value threshold

Get TRC1155 transfer list

Get the transfer list of TRC1155 tokens.

GET https://apilist.tronscanapi.com/api/token_trc1155/transfers?limit=20&start=0&contract_address=TXWLT4N9vDcmNHDnSuKv2odhBtizYuEMKJ&start_timestamp=&end_timestamp=&confirm=&filterTokenValue=0

Try this endpoint in your browser ↗ 🔗

ParameterDescription
relatedAddressAccount address. When specified, TRC1155 transfers of that address are returned
startStart index. Default: 0. Max start + limit is 10000
limitNumber of transfers per page. Default: 10. Max: 50
start_timestampStart time, accurate to milliseconds
end_timestampEnd time, accurate to milliseconds
formatDownload format. Use csv to download transfer data
blockBlock number
confirmFilter by status. 0: confirmed only, 1: unconfirmed only, 0,1: all
directionin: transfer-in, out: transfer-out, all: both
contract_addressContract address
filterTokenValueFilter by token value threshold

Get TRX & TRC10 transfer list

Get account’s transfer list.

GET https://apilist.tronscanapi.com/api/transfer?sort=-timestamp&count=true&limit=20&start=0&address=TLa2f6VPqDgRE67v1736s7bJ8Ray5wYjU7&filterTokenValue=1

Try this endpoint in your browser ↗ 🔗

ParameterDescription
sortSort type
startStart index. Default: 0. Max start + limit is 10000
limitNumber of transfers per page. Default: 10. Max: 50
countWhether to return total transfer number
addressAddress, like contract address
fromAddressSender’s address
toAddressRecipient’s address
tokensSpecific tokens
blockBlock number
filterTokenValueFilter by token value threshold
directionTransfer direction: in (incoming), out (outgoing), all (both)
start_timestampStart time
end_timestampEnd time
confirmFilter by confirmation status: 0 (confirmed only), 1 (unconfirmed only), empty (all)
tokenSingle token filter

Get internal transaction list for special address or block

Get internal transaction list.

GET https://apilist.tronscanapi.com/api/internal-transaction?limit=20&start=0&address=TLa2f6VPqDgRE67v1736s7bJ8Ray5wYjU7

Try this endpoint in your browser ↗ 🔗

ParameterDescription
startStart index. Default: 0. Max start + limit is 10000
limitNumber of transfers per page. Default: 10. Max: 50
addressSpecific address. At least one of address, block, or contract must be specified
contractContract address to filter by
blockBlock number
start_timestampStart time
end_timestampEnd time
confirmFilter by confirmation status: 0 (confirmed only), 1 (unconfirmed only), empty (all)

Get account’s transaction data

Get account’s transaction data.

GET https://apilist.tronscanapi.com/api/token_trc20/transfers-with-status?limit=1&start=0&trc20Id=TUpMhErZL2fhh4sVNULAbNKLokS4GjC1F4&address=TV6MuMXfmLbBqPZvBHdwFsDnQeVfnmiuSi

Try this endpoint in your browser ↗ 🔗

ParameterDescription
startStart index. Default: 0. Max start + limit is 10000
limitNumber of transfers per page. Default: 20. Max: 50
trc20IdTRC20 token address. Required
addressAccount address. Required
direction1: transfer-out (default), 2: transfer-in, 0: approval events
db_versionWhether to include approval transfers. 1: include, 0: exclude
reverseSort by creation time. Valid values: true / false

Get transaction’s statistic data

Query statistic data of transactions.

GET https://apilist.tronscanapi.com/api/transaction/statistics

Try this endpoint in your browser ↗ 🔗

No parameters required.


Get statistic distribution data of transfer

Query statistic data of transfers.

GET https://apilist.tronscanapi.com/api/transfer/statistics

Try this endpoint in your browser ↗ 🔗

No parameters required.

Last updated on: